# Method: edits.images.deleteall

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.images/deleteall#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.images/deleteall#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.images/deleteall#body.request_body)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.images/deleteall#body.response_body)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.images/deleteall#body.ImagesDeleteAllResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.images/deleteall#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.images/deleteall#try-it)

Deletes all images for the specified language and image type. Returns an empty response if no images are found.

### HTTP request

`DELETE https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/edits/{editId}/listings/{language}/{imageType}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Package name of the app. |
| `editId` | `string` Identifier of the edit. |
| `language` | `string` Language localization code (a BCP-47 language tag; for example, "de-AT" for Austrian German). Providing a language that is not supported by the App is a no-op. |
| `imageType` | ``enum (`https://developers.google.com/android-publisher/api-ref/rest/v3/AppImageType`)`` Type of the Image. Providing an image type that refers to no images is a no-op. |

### Request body

The request body must be empty.

### Response body

Response for deleting all images.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "deleted": [ { object (`https://developers.google.com/android-publisher/api-ref/rest/v3/edits.images#Image`) } ] } ``` |

| Fields ||
|---|---|
| `deleted[]` | ``object (`https://developers.google.com/android-publisher/api-ref/rest/v3/edits.images#Image`)`` The deleted images. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`